# OpenLayers.Format.WFST.v1_1_0

A format for creating WFS v1.1.0 transactions. Create a new instance with the OpenLayers.Format.WFST.v1_1_0 constructor.

#### Inherits from

- OpenLayers.Format.Filter.v1_1_0
- OpenLayers.Format.WFST.v1

Summary

OpenLayers.Format.WFST.v1_1_0 | A format for creating WFS v1.1.0 transactions.
Properties |
version | {String} WFS version number.
schemaLocations | {Object} Properties are namespace aliases, values are schema locations.
Constructor |
OpenLayers.Format.WFST.v1_1_0 | A class for parsing and generating WFS v1.1.0 transactions.
Functions |
readNode | Shorthand for applying one of the named readers given the node namespace and local name.
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.
writers | As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

### Properties

### version

{String} WFS version number.

### schemaLocations

{Object} Properties are namespace aliases, values are schema locations.

### Constructor

### OpenLayers.Format.WFST.v1_1_0

A class for parsing and generating WFS v1.1.0 transactions.

To read additional information like hit count (numberOfFeatures) from the FeatureCollection, call the OpenLayers.Format.WFST.v1.read method with {output: “object”} as 2nd argument. Note that it is possible to just request the hit count from a WFS 1.1.0 server with the resultType=”hits” request parameter.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

#### Valid options properties

featureType | {String} Local (without prefix) feature typeName (required).
featureNS | {String} Feature namespace (optional).
featurePrefix | {String} Feature namespace alias (optional - only used if featureNS is provided). Default is ‘feature’.
geometryName | {String} Name of geometry attribute. Default is ‘the_geom’.

### Functions

### readNode

> readNode: function( | node,
> | obj,
> | first | )

Shorthand for applying one of the named readers given the node namespace and local name. Readers take two args (node, obj) and generally extend or modify the second.

#### Parameters

node | {DOMElement} The node to be read (required).
obj | {Object} The object to be modified (optional).
first | {Boolean} Should be set to true for the first node read. This is usually the readNode call in the read method. Without this being set, auto-configured properties will stick on subsequent reads.

#### Returns

{Object} The input object, modified (or a new one if none was provided).

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

### writers

As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

> readNode: function( | node,
> | obj,
> | first | )

Shorthand for applying one of the named readers given the node namespace and local name.
A class for parsing and generating WFS v1.1.0 transactions.
Write ogc:Filter version 1.1.0.
Superclass for WFST parsers.

> read: function( | data,
> | options | )

Parse the response from a transaction.
Close